//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Help_League.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm11 *Form11;
//---------------------------------------------------------------------------
__fastcall TForm11::TForm11(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------

void __fastcall TForm11::Button1Click(TObject *Sender)
{
        Form11->Close();        
}
//---------------------------------------------------------------------------
void __fastcall TForm11::LoadLeagueExecute(TObject *Sender)
{
        AnsiString a;
        a = "In comparison to a World Cup or European Cup, at the first glance a national league championship is relatively simple: There are no complicated preliminary rules or \"tournament trees\" and the next play opponents are known.\n";
        a = a + "On the other hand, the high number of possible play results (up to 3^380) makes an analytical calculation of each possibility - at least for a PC of the year 2010 - impossible.\n";
        a = a + "Hence, a Monte Carlo simulation approach was chosen:\n";
        a = a + "In a single scenario, random numbers between 0 and 1 are assigned to each still open play. According to the Elo probability, points are assigned as follows:\n\n";
        a = a + "3 points, if the random number is smaller than the Elo win probability\n";
        a = a + "1 point, if the random number is bigger than the Elo win, but smaller than the sum of the win and the remis probability\n";
        a = a + "0 points else\n\n";
        a = a + "In order to reach stable results, 200000 scenarios are calculated and the mean probabilities are chosen. That's why the calculation may last some seconds at the current level of technology...\n\n";
        a = a + "Currently, the League module of World Cup Ratings calculates the probabilities for the Championship, the reach of a place in the Champios League and the Europe League (UEFA Cup) as well as the descent probabilities.\n";	
        a = a + "The following leagues with the following characteristics are considered at the moment:\n\n";
        a = a + "English Premier League: 20 teams, 4 Champios League places, 4 UEFA Cup places\n";
        a = a + "German Bundesliga: 18 teams, 4 Champios League places, 4 UEFA Cup places\n";
        a = a + "Italian Serie A: 20 teams, 4 Champios League places, 3 UEFA Cup places\n";
        a = a + "Spanish Primera Division: 20 teams, 4 Champios League places, 4 UEFA Cup places\n\n";
        a = a + "Unfortunately, reliable Elo coefficients only for the German Bundesliga seem to exist at the moment. Feel free to support the idea for other leagues as well!"; 

	RichEdit1->Text = a;
}
//---------------------------------------------------------------------------
